gdal_translate(1)

NAME
gdal_translate - converts raster data between different formats

SYNOPSIS

gdal_translate
       [-ot {Byte/UInt16/UInt32/Int32/Float32/Float64/CInt16/
             CInt32/CFloat32/CFloat64}] [-not_strict]
       [-of format] [-b band] [-outsize xsize[%] ysize[%]]
       [-scale [src_min src_max [dst_min dst_max]]]
       [-srcwin xoff yoff xsize ysize] [-a_srs srs_def]
       [-projwin xoff yoff xsize ysize] [-co "NAME=VALUE"]*
       [-mo "META-TAG=VALUE"]* [-quiet]
       src_dataset dst_dataset

DESCRIPTION

The gdal_translate utility can be used to convert raster data between different formats, potentially peforming some operations like subsettings, resampling, and rescaling pixels in the process.

-ot: For the output bands to be of the indicated data type.

-not_strict:
    Be forgiving of mismatches and lost data when translating to the output format.

-of format:
    Select the output format. The default is GeoTIFF (GTiff). Use the short format name.

-b band:
    Select an input band band for output. Bands are numbered from 1 Multiple -b switches may be used to select a set of input bands to write to the output file, or to reorder bands.

-outsize xsize[] ysize[]:
    Set the size of the output file. Outsize is in pixels and lines unless '%' is attached in which case it is as a fraction of the input image size.

-scale [src_min src_max [dst_min dst_max]]:
    Rescale the input pixels values from the range src_min to src_max to the range dst_min to dst_max. If omitted the output range is 0 to 255. If omitted the input range is automatically computed from the source data.

-srcwin xoff yoff xsize ysize:
    Selects a subwindow from the source image for copying.

-a_srs srs_def:
    Override the projection for the output file. The srs_def may be any of the usual GDAL/OGR forms, complete WKT, PROJ.4, EPSG:n or a file containing the wkt.

-projwin ulx uly lrx lry:
    Selects a subwindow from the source image for copying (like -srcwin) but with the corners given in georeferenced coordinates.

-mo 'KEY=VALUE':
    passes a metadata key and value to set on the output dataset if possible.

-co 'NAME=VALUE':
    passes a creation option to the output format driver. Multiple -co options may be listed. See format specific documentation for legal creation options for each format.

-mo 'META-TAG=VALUE':
    Add the indicated metadata values to the output dataset.

-quiet:
    Supress progress monitor and other non-error output.

src_dataset:
    The source file name.

dst_dataset:
    The destination file name.

EXAMPLE

% gdal_translate -of GTiff -co "TILED=YES" utm.tif utm_tiled.tif

AUTHORS

Frank Warmerdam <warmerdam@pobox.com> Silke Reimer <silke@intevation.de>